PANELCTL(1)

NAME
panelctl - manual page for panelctl 0.2

SYNOPSIS
panelctl [OPTION...] <channel|command>

DESCRIPTION
AV/C panelctl - change channels on, or issue commands to, a firewire AV device

-c, --commands
    Print command list (requires a dummy argument)

-d, --debug
    Debug mode

-g, --guid=GUID
    Specify GUID for the STB to control

-n, --swversion=SW_VERSION Specify sofware version of STB

-s, --specid=SPEC_ID
    Specify spec_id of STB to control

-v, --verbose
    Produce verbose output

-?, --help
    Give this help list

--usage
    Give a short usage message

-V, --version
    Print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

This program is mostly useful for a firewire tuner or set-top box with an AV interface. Use it to issue a command (panelctl <command>) or to change channels on the tuner (panelctl <channel>). To get a list of legal commands, use the --commands switch.

By default, panelctl will control the first Motorola STB on the firewire chain. This will only work with some Motorola STBs. To control any other STB, or to control multiple STBs, specify the GUID or both the spec_id and software version for the desired STB. This can be found out by running "panelctl -v -g 1 1". Because there won't be a STV with GUID of 1, it will run through all possible devices and print the info for each one. Once the GUID, or the spec_id and sw_version of the desired device has been learned, it can be used in following commands, e.g. "panelctl -g 0x123456 666". Generally, it will be a better approach to use guid, since this will be unique to each STB.

By: Stacey D. Son, John Woodell, Dan Dennedy, and Jerry Fiddler Copyright (C) 2004-2009

SEE ALSO
The full documentation for panelctl is maintained as a Texinfo manual. If the info and panelctl programs are properly installed at your site, the command

    info panelctl

should give you access to the complete manual.